Get Metrics Configuration
curl --request GET \
--url https://api-dev.narrative.io/datasets/{dataset_id}/stats-config \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.narrative.io/datasets/{dataset_id}/stats-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.narrative.io/datasets/{dataset_id}/stats-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"value_histogram": {
"columns": [
"<string>"
]
},
"completeness": {
"columns": [
"<string>"
]
},
"approx_count_distinct": {
"columns": [
"<string>"
]
},
"count_distinct": {
"columns": [
"<string>"
]
},
"observed_types_histogram": {
"columns": [
"<string>"
]
},
"mean": {
"columns": [
"<string>"
]
},
"deviation": {
"columns": [
"<string>"
]
},
"version": 123,
"disabled": true
}Datasets
Get Metrics Configuration
Put new version of configuration.
GET
/
datasets
/
{dataset_id}
/
stats-config
Get Metrics Configuration
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for a dataset.
Response
Ok
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

